<?php
	//  libs
	require 'libs/Session.php';	
	require 'libs/Server.php';
	
	Session::init();
	
	require 'libs/Bootstrap.php';
	require 'libs/Controller.php';
	require 'libs/Model.php';
	require 'libs/Views.php';
	
	//autoloader
	$data = json_decode(file_get_contents('libs/ubs.json'),true);
	
	Session::setSession('UBS_DATA',$data);
	
	foreach($data as $each){
		define($each['pre'],$each['pre_value']);
		define($each['main'],$each['main_value']);
	}
		
	define('PATHNAME', realpath(dirname(__FILE__)).'//');
	
	$app = new Bootstrap();
	exit;
	
?>